Ticket #37741

AEAD暗号使用時の接続情報でのMACアルゴリズム表示

Open Date: 2017-11-29 21:26 Last Update: 2017-12-18 20:20

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

aes256-gcm@openssh.com 等の AEAD 暗号使用時は、Kex での MAC アルゴリズムのネゴシエーション結果を使わずに AEAD 暗号の認証機能を利用する。

しかし、「Help」-「About TTSSH」ダイアログでの接続情報では MAC アルゴリズムとして Kex でのネゴシエーション結果が表示される。

OpenSSH のデバッグ出力では、<implicit> と表示される。

例:

debug1: kex: server->client aes256-gcm@openssh.com <implicit> none
debug1: kex: client->server aes256-gcm@openssh.com <implicit> none

Attachment File List

No attachments

Ticket History (3/4 Histories)

2017-11-29 21:26 Updated by: doda
  • New Ticket "AEAD暗号使用時の接続情報でのMACアルゴリズム表示" created
2017-11-30 15:39 Updated by: doda
2017-12-01 21:37 Updated by: doda
  • Owner Update from (None) to doda
  • Resolution Update from None to Accepted
2017-12-18 20:20 Updated by: doda
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed
Comment

r7008 で修正。

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login